package com.ynet.life.sujrb.softEncode;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.util.CsiiUtils;
import java.util.regex.Pattern;

/* loaded from: com_ynet_life_sujrb_softEncode.jar:com/ynet/life/sujrb/softEncode/PinSecurityModule.class */
public class PinSecurityModule {
    private String key = "";

    public void setKey(String key) {
        this.key = key;
    }

    public String getKey() {
        return this.key;
    }

    public String pinEncrypt(String pin, String pan, int mode) throws TranFailException {
        return passEnc(pin);
    }

    public String pinDecrypt(String cipher, String pan, int mode) {
        return cipher;
    }

    public static void main(String[] arg) throws TranFailException {
        PinSecurityModule a = new PinSecurityModule();
        a.setKey("jysxyls1");
        String b = a.pinEncrypt("000000", null, 0);
        System.out.println(b);
    }

    public String passEnc(String pass) throws TranFailException {
        if (pass == null || pass.length() != 6) {
            return pass;
        }
        if (!Pattern.compile("\\d{6}").matcher(pass).matches()) {
            throw new TranFailException("validation.password.mustdigit");
        }
        byte[] data = new byte[8];
        byte[] key = new byte[8];
        String pubKey = getKey();
        byte[] pb = pass.getBytes();
        byte[] pk = pubKey.getBytes();
        int i = 0;
        while (i < pass.length()) {
            data[i] = pb[i];
            i++;
        }
        while (i < 8) {
            data[i] = 48;
            i++;
        }
        for (int j = 0; j < 8; j++) {
            key[j] = pk[j];
        }
        byte[] data2 = vost_encode(data, key);
        byte[] newpass = new byte[6];
        for (int k = 0; k < 6; k++) {
            newpass[k] = data2[k];
        }
        return CsiiUtils.bytes2HexStr(newpass);
    }

    private byte[] vost_encode(byte[] data, byte[] key) {
        byte[] packdata = new byte[16];
        byte[] packkey = new byte[16];
        for (int i = 0; i < 8; i++) {
            packdata[i << 1] = (byte) (data[i] >> 4);
            packdata[(i << 1) + 1] = (byte) (data[i] & 15);
        }
        for (int i2 = 0; i2 < 16; i2++) {
            if (packdata[i2] <= 9) {
                int i3 = i2;
                packdata[i3] = (byte) (packdata[i3] + 48);
            } else {
                int i4 = i2;
                packdata[i4] = (byte) (packdata[i4] + 55);
            }
        }
        for (int i5 = 0; i5 < 8; i5++) {
            packkey[i5 << 1] = (byte) (key[i5] >> 4);
            packkey[(i5 << 1) + 1] = (byte) (key[i5] & 15);
        }
        for (int i6 = 0; i6 < 16; i6++) {
            if (packkey[i6] <= 9) {
                int i7 = i6;
                packkey[i7] = (byte) (packkey[i7] + 48);
            } else {
                int i8 = i6;
                packkey[i8] = (byte) (packkey[i8] + 55);
            }
        }
        byte[] packdata2 = desc(packdata, packkey, 0);
        for (int i9 = 0; i9 < 16; i9++) {
            if (Character.isDigit(packdata2[i9])) {
                int i10 = i9;
                packdata2[i10] = (byte) (packdata2[i10] - 48);
            } else {
                int i11 = i9;
                packdata2[i11] = (byte) (packdata2[i11] - 55);
            }
        }
        for (int i12 = 0; i12 < 8; i12++) {
            data[i12] = (byte) ((packdata2[i12 << 1] << 4) | (packdata2[(i12 << 1) + 1] & 15));
        }
        return data;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v204 */
    /* JADX WARN: Type inference failed for: r2v207, types: [int] */
    /* JADX WARN: Type inference failed for: r2v212, types: [int] */
    static byte[] desc(byte[] bArr, byte[] bArr2, int i) {
        byte[] bArr3 = new byte[16];
        byte[] bArr4 = new byte[48];
        byte[] bArr5 = new byte[32];
        byte[] bArr6 = new byte[32];
        byte[] bArr7 = new byte[48];
        byte[] bArr8 = new byte[64];
        byte[] bArr9 = {14, 17, 11, 24, 1, 5, 3, 28, 15, 6, 21, 10, 23, 19, 12, 4, 26, 8, 16, 7, 27, 20, 13, 2, 41, 52, 31, 37, 47, 55, 30, 40, 51, 45, 33, 48, 44, 49, 39, 56, 34, 53, 46, 42, 50, 36, 29, 32};
        byte[] bArr10 = {16, 7, 20, 21, 29, 12, 28, 17, 1, 15, 23, 26, 5, 18, 31, 10, 2, 8, 24, 14, 32, 27, 3, 9, 19, 13, 30, 6, 22, 11, 4, 25};
        byte[] bArr11 = {new byte[]{14, 4, 13, 1, 2, 15, 11, 8, 3, 10, 6, 12, 5, 9, 0, 7, 0, 15, 7, 4, 14, 2, 13, 1, 10, 6, 12, 11, 9, 5, 3, 8, 4, 1, 14, 8, 13, 6, 2, 11, 15, 12, 9, 7, 3, 10, 5, 0, 15, 12, 8, 2, 4, 9, 1, 7, 5, 11, 3, 14, 10, 0, 6, 13}, new byte[]{15, 1, 8, 14, 6, 11, 3, 4, 9, 7, 2, 13, 12, 0, 5, 10, 3, 13, 4, 7, 15, 2, 8, 14, 12, 0, 1, 10, 6, 9, 11, 5, 0, 14, 7, 11, 10, 4, 13, 1, 5, 8, 12, 6, 9, 3, 2, 15, 13, 8, 10, 1, 3, 15, 4, 2, 11, 6, 7, 12, 0, 5, 14, 9}, new byte[]{10, 0, 9, 14, 6, 3, 15, 5, 1, 13, 12, 7, 11, 4, 2, 8, 13, 7, 0, 9, 3, 4, 6, 10, 2, 8, 5, 14, 12, 11, 15, 1, 13, 6, 4, 9, 8, 15, 3, 0, 11, 1, 2, 12, 5, 10, 14, 7, 1, 10, 13, 0, 6, 9, 8, 7, 4, 15, 14, 3, 11, 5, 2, 12}, new byte[]{7, 13, 14, 3, 0, 6, 9, 10, 1, 2, 8, 5, 11, 12, 4, 15, 13, 8, 11, 5, 6, 15, 0, 3, 4, 7, 2, 12, 1, 10, 14, 9, 10, 6, 9, 0, 12, 11, 7, 13, 15, 1, 3, 14, 5, 2, 8, 4, 3, 15, 0, 6, 10, 1, 13, 8, 9, 4, 5, 11, 12, 7, 2, 14}, new byte[]{2, 12, 4, 1, 7, 10, 11, 6, 8, 5, 3, 15, 13, 0, 14, 9, 14, 11, 2, 12, 4, 7, 13, 1, 5, 0, 15, 10, 3, 9, 8, 6, 4, 2, 1, 11, 10, 13, 7, 8, 15, 9, 12, 5, 6, 3, 0, 14, 11, 8, 12, 7, 1, 14, 2, 13, 6, 15, 0, 9, 10, 4, 5, 3}, new byte[]{12, 1, 10, 15, 9, 2, 6, 8, 0, 13, 3, 4, 14, 7, 5, 11, 10, 15, 4, 2, 7, 12, 9, 5, 6, 1, 13, 14, 0, 11, 3, 8, 9, 14, 15, 5, 2, 8, 12, 3, 7, 0, 4, 10, 1, 13, 11, 6, 4, 3, 2, 12, 9, 5, 15, 10, 11, 14, 1, 7, 6, 0, 8, 13}, new byte[]{4, 11, 2, 14, 15, 0, 8, 13, 3, 12, 9, 7, 5, 10, 6, 1, 13, 0, 11, 7, 4, 9, 1, 10, 14, 3, 5, 12, 2, 15, 8, 6, 1, 4, 11, 13, 12, 3, 7, 14, 10, 15, 6, 8, 0, 5, 9, 2, 6, 11, 13, 8, 1, 4, 10, 7, 9, 5, 0, 15, 14, 2, 3, 12}, new byte[]{13, 2, 8, 4, 6, 15, 11, 1, 10, 9, 3, 14, 5, 0, 12, 7, 1, 15, 13, 8, 10, 3, 7, 4, 12, 5, 6, 11, 0, 14, 9, 2, 7, 11, 4, 1, 9, 12, 14, 2, 0, 6, 10, 13, 15, 3, 5, 8, 2, 1, 14, 7, 4, 10, 8, 13, 15, 12, 9, 0, 3, 5, 6, 11}};
        if (i != 0 && i != 1) {
            return null;
        }
        for (int i2 = 0; i2 < 16; i2++) {
            bArr3[i2] = (byte) (isDigit(bArr2[i2] == true ? (byte) 1 : (byte) 0) ? (bArr2[i2] == true ? 1 : 0) - 48 : isxDigit(bArr2[i2] == true ? (byte) 1 : (byte) 0) ? (bArr2[i2] == true ? 1 : 0) - 55 : bArr2[i2]);
            bArr[i2] = (byte) (isDigit(bArr[i2] == true ? (byte) 1 : (byte) 0) ? (bArr[i2] == true ? 1 : 0) - 48 : isxDigit(bArr[i2] == true ? (byte) 1 : (byte) 0) ? (bArr[i2] == true ? 1 : 0) - 55 : bArr[i2]);
        }
        for (int i3 = 0; i3 < 32; i3++) {
            int i4 = (255 - (i3 * 8)) % 66;
            bArr5[i3] = (byte) (((bArr[i4 / 4] == true ? 1 : 0) >> (3 - (i4 % 4))) % 2);
            int i5 = i4 - 1;
            bArr6[i3] = (byte) (((bArr[i5 / 4] == true ? 1 : 0) >> (3 - (i5 % 4))) % 2);
        }
        for (int i6 = 1; i6 <= 16; i6++) {
            int i7 = ((2 * (((i * 17) - ((2 * i6) * i)) + i6)) - (((((i * 17) - ((2 * i6) * i)) + i6) + 5) / 7)) - 1;
            for (int i8 = 0; i8 < 24; i8++) {
                int i9 = (((454 - (i7 << 3)) - (bArr9[i8] << 3)) + (bArr9[i8] >= 29 - i7 ? 29 : 0)) % 65;
                bArr4[i8] = (byte) ((bArr3[i9 / 4] >> (3 - (i9 % 4))) % 2);
                int i10 = (((((672 - (i7 << 3)) - (bArr9[i8 + 24] << 3)) + (bArr9[i8 + 24] >= 53 - i7 ? 31 : 0)) + (81 - bArr9[i8 + 24] <= i7 ? 31 : 0)) + (bArr9[i8 + 24] >= 57 - i7 ? 67 : 0)) % 63;
                bArr4[i8 + 24] = (byte) ((bArr3[i10 / 4] >> (3 - (i10 % 4))) % 2);
            }
            for (int i11 = 0; i11 < 8; i11++) {
                for (int i12 = 0; i12 < 6; i12++) {
                    bArr7[(i11 * 6) + i12] = (byte) ((bArr6[(((4 * i11) + i12) + 31) % 32] + bArr4[(i11 * 6) + i12]) % 2);
                }
                for (int i13 = 0; i13 < 4; i13++) {
                    bArr8[(i11 << 2) + i13] = (byte) (((bArr11[i11][(((((bArr7[i11 * 6] << 5) + (bArr7[(i11 * 6) + 1] << 3)) + (bArr7[(i11 * 6) + 2] << 2)) + (bArr7[(i11 * 6) + 3] << 1)) + bArr7[(i11 * 6) + 4]) + (bArr7[(i11 * 6) + 5] << 4)] ? 1 : 0) >> (3 - i13)) % 2);
                }
            }
            for (int i14 = 0; i14 < 32; i14++) {
                bArr8[i14 + 32] = (byte) ((bArr8[bArr10[i14] - 1] + bArr5[i14]) % 2);
                bArr5[i14] = bArr6[i14];
                bArr6[i14] = bArr8[i14 + 32];
            }
        }
        for (int i15 = 0; i15 < 64; i15++) {
            bArr8[i15] = (byte) (((1 - (i15 % 2)) * bArr5[((((i15 / 2) % 4) << 3) - (i15 / 8)) + 7]) + ((i15 % 2) * bArr6[((((i15 / 2) % 4) << 3) - (i15 / 8)) + 7]));
        }
        for (int i16 = 0; i16 < 16; i16++) {
            bArr[i16] = (byte) ((8 * bArr8[4 * i16]) + (4 * bArr8[(4 * i16) + 1]) + (2 * bArr8[(4 * i16) + 2]) + ((i16 % 7) * bArr8[(4 * i16) + 3]));
            bArr[i16] = (byte) ((bArr[i16] == true ? 1 : 0) + 48 + (((bArr[i16] == true ? 1 : 0) / 10) * 7));
        }
        return bArr;
    }

    private static boolean isxDigit(byte x) {
        if (x >= 48 && x <= 57) {
            return true;
        }
        if (x >= 65 && x <= 90) {
            return true;
        }
        if (x >= 97 && x <= 122) {
            return true;
        }
        return false;
    }

    private static boolean isDigit(byte x) {
        if (x >= 48 && x <= 57) {
            return true;
        }
        return false;
    }
}
